Package org.springframework.security.core.authority.mapping

# Class SimpleMappableAttributesRetriever

java.lang.Object
org.springframework.security.core.authority.mapping.SimpleMappableAttributesRetriever

All Implemented Interfaces:
  `MappableAttributesRetriever`

public class SimpleMappableAttributesRetriever extends Object implements MappableAttributesRetriever
This class implements the MappableAttributesRetriever interface by just returning a list of mappable attributes as previously set using the corresponding setter method.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`SimpleMappableAttributesRetriever()`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getMappableAttributes()`
Implementations of this method should return a set of all string attributes which can be mapped to `GrantedAuthority`s.
`void`
`setMappableAttributes(Set<String> aMappableRoles)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleMappableAttributesRetriever

public SimpleMappableAttributesRetriever()

## Method Details

### getMappableAttributes

public Set<String> getMappableAttributes()
Description copied from interface: `MappableAttributesRetriever`
Implementations of this method should return a set of all string attributes which can be mapped to `GrantedAuthority`s.

Specified by:
  `getMappableAttributes` in interface `MappableAttributesRetriever`
Returns:
  set of all mappable roles

### setMappableAttributes

public void setMappableAttributes(Set<String> aMappableRoles)